Get All Action Run Projections

Get All Action Run Projections
Fetch all action run projections

Retrieves projections of all action runs (lightweight representation for UI)

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/abx/api/resources/action-runs
COPY
Query Parameters
page
Optional

Page to fetch (starting from 0)

size
Optional

Amount of entities per page

projection
Required

Flag to return projections instead of full entities


Authentication
This operation uses the following authentication methods.
Responses
200

Paged result of action run projections

Returns PageActionRun of type(s) */*
{
    "totalPages": 0,
    "totalElements": 0,
    "pageable": {
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "offset": 0,
        "sort": {
            "sorted": false,
            "empty": false,
            "unsorted": false
        },
        "unpaged": false
    },
    "size": 0,
    "content": [
        {
            "id": "string",
            "name": "string",
            "createdMillis": 0,
            "orgId": "string",
            "runState": "string",
            "actionId": "string",
            "actionType": "string",
            "inputs": {},
            "outputs": {},
            "errorMessage": "string",
            "logs": "string",
            "triggeredBy": "string",
            "endTimeMillis": 0,
            "startTimeMillis": 0,
            "runtime": "string",
            "provider": "string",
            "source": "string",
            "timeoutSeconds": 0,
            "projectId": "string",
            "runProjectId": "string",
            "scalable": false,
            "actionVersionId": "string",
            "actionVersionName": "string",
            "configuration": {},
            "system": false
        }
    ],
    "number": 0,
    "sort": {
        "sorted": false,
        "empty": false,
        "unsorted": false
    },
    "numberOfElements": 0,
    "first": false,
    "last": false,
    "empty": false
}

401

Unauthorized to make the request

Returns PageActionRun of type(s) */*
{
    "totalPages": 0,
    "totalElements": 0,
    "pageable": {
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "offset": 0,
        "sort": {
            "sorted": false,
            "empty": false,
            "unsorted": false
        },
        "unpaged": false
    },
    "size": 0,
    "content": [
        {
            "id": "string",
            "name": "string",
            "createdMillis": 0,
            "orgId": "string",
            "runState": "string",
            "actionId": "string",
            "actionType": "string",
            "inputs": {},
            "outputs": {},
            "errorMessage": "string",
            "logs": "string",
            "triggeredBy": "string",
            "endTimeMillis": 0,
            "startTimeMillis": 0,
            "runtime": "string",
            "provider": "string",
            "source": "string",
            "timeoutSeconds": 0,
            "projectId": "string",
            "runProjectId": "string",
            "scalable": false,
            "actionVersionId": "string",
            "actionVersionName": "string",
            "configuration": {},
            "system": false
        }
    ],
    "number": 0,
    "sort": {
        "sorted": false,
        "empty": false,
        "unsorted": false
    },
    "numberOfElements": 0,
    "first": false,
    "last": false,
    "empty": false
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/abx/api/resources/action-runs?projection=v